import { addOncePic, selectAllPicture, selectPicById, selectPicList, update } from "../model/picture";
import { selectUserByLogin } from "../model/users";
import { upImgPathConfig } from "../serverConfig";
import { isDirExists } from "../util/filesService";
import { psdForPng } from "../util/psd";
const multer = require('multer');
const bodyParser = require('body-parser');
const express = require('express');
const app = express();

// const dir = upImgPathConfig.psd;
// let files = fs.readdirSync(dir);
let ret:any = {};
export async function up(req, res) {
    let picList = [];
    let pngName = psdForPng(req.query.pName);
    picList.push({
        pId: parseInt(req.query.pId),
        uId: req.query.uId,
        uName: req.query.uName,
        psdName: req.query.pName,
        pngName,
        path: req.query.path,
        chartType: req.query.chartType,
        createTime: new Date()
    });
    ret["up"] = await addOncePic(picList);
    res.send(ret);
}

export async function down(req, res) {
    let pId = req.query.pId;
    ret["down"] = await selectPicById(pId);
    res.send(ret);
}

export async function changePic(req, res) {
    let pId = parseInt(req.query.pId);
    let picList = [];
    picList.push({
        psdName: req.query.pName,
        path: req.query.path,
        chartType: req.query.chartType,
        createTime: new Date()
    });
    
    ret["changePic"] = await update(pId, picList);
    res.send(ret);
}


export async function picLict(req, res) {
    ret["picLict"] = await selectPicList();
    res.send(ret);
}


export async function uploadImg(fileFilter, storage) {
    let imageUploader = multer({
        fileFilter,
        storage,
    }).single("file");

    app.use(bodyParser.urlencoded({ extended: false }));
    app.use(bodyParser.json())
    app.post("/upload", imageUploader, (req, res) => {
        
        res.send("上传成功");
    });
}

