import * as asyncHandler from 'express-async-handler'
import * as dataListBiz from '../biz/dataList'
import * as userBiz from '../biz/user'
import * as picBiz from '../biz/pic'

export function setRouter(httpServer) {
    httpServer.get('/datalist', asyncHandler(dataListBiz.getData));

    
    httpServer.get('/up', asyncHandler(picBiz.up));
    httpServer.post('/up', asyncHandler(picBiz.up));
    
    httpServer.get('/down', asyncHandler(picBiz.down));
    httpServer.post('/down', asyncHandler(picBiz.down));
    
    httpServer.get('/picLict', asyncHandler(picBiz.picLict));
    httpServer.post('/picLict', asyncHandler(picBiz.picLict));

    httpServer.get('/uploadImg', asyncHandler(picBiz.uploadImg));
    httpServer.post('/uploadImg', asyncHandler(picBiz.uploadImg));



    httpServer.get('/registerUser', asyncHandler(userBiz.register));
    httpServer.post('/registerUser', asyncHandler(userBiz.register));

    httpServer.get('/changePwd', asyncHandler(userBiz.changePwd));
    httpServer.post('/changePwd', asyncHandler(userBiz.changePwd));
    
    httpServer.get('/login', asyncHandler(userBiz.login));
    httpServer.post('/login', asyncHandler(userBiz.login));

}